# This file created by conda-build 3.17.8
# ------------------------------------------------

package:
    name: numpy-base
    version: 1.17.5
source:
    -   git_rev: v1.17.5
        git_url: https://github.com/numpy/numpy
        patches:
            - v1.17-patches/intel_distribution.patch
            - v1.17-patches/intel_init_mkl.patch
            - v1.17-patches/intel_mkl-version.patch
            - v1.17-patches/intel_mkl_mem_all.patch
            - v1.17-patches/intel_mkl_random.patch
            - v1.17-patches/intel_setup_add_whl_deps.patch
            - v1.17-patches/intel_umath_optimizations.patch
            - v1.17-patches/intel_use_mkl_fft.patch
            - v1.17-patches/osx-dist.patch
    -   folder: mkl_fft
        git_rev: aeb56b700353365904d6b8cf1c9cb0e2c5a9e90a
        git_url: https://github.com/IntelPython/mkl_fft.git
    -   folder: mkl_random
        git_rev: v1.1.0
        git_url: https://github.com/IntelPython/mkl_random.git
build:
    force_use_keys:
        - python
    noarch: false
    number: '1'
    script: install_base.sh
    string: py37_1
requirements:
    host:
        - bzip2 1.0.8 1
        - certifi 2019.11.28 py37_0
        - cython 0.29.14 py37ha68da19_0
        - intel-openmp 2020.1 intel_198
        - intelpython 2020.1 0
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libffi 3.3 11
        - mkl 2020.1 intel_198
        - mkl-devel 2020.1 intel_198
        - mkl-include 2020.1 intel_198
        - mkl-service 2.3.0 py37_0
        - openssl 1.1.1d 1
        - python 3.7.7 h0a44026_0
        - setuptools 45.2.0 py37_0
        - six 1.13.0 py37_2
        - sqlite 3.30.1 6
        - tbb 2020.2 intel_198
        - tcl 8.6.9 24
        - tk 8.6.9 29
        - wheel 0.33.6 py37_4
        - xz 5.2.4 h1de35cc_7
        - zlib 1.2.11.1 h1de35cc_1
    run:
        - icc_rt >=16.0.3
        - intelpython >=2019.0
        - mkl
        - mkl-service >=2.1.0
        - python >=3.7,<3.8.0a0
        - tbb4py [not nomkl]
test:
    commands:
        - test -e $SP_DIR/numpy/distutils/site.cfg
about:
    home: http://numpy.scipy.org/
    license: BSD 3-Clause
    license_file: LICENSE.txt
extra:
    copy_test_source_files: true
    final: true
